Bug 1573916 - kernel-rt-kvm multiversion
Summary: kernel-rt-kvm multiversion
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: kernel-rt
Version: 7.7
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Luis Claudio R. Goncalves
QA Contact: Pei Zhang
URL:
Whiteboard:
Depends On:
Blocks: 1942504 1649541
TreeView+ depends on / blocked
 
Reported: 2018-05-02 13:59 UTC by Jiri Kastner
Modified: 2021-04-30 19:55 UTC (History)
6 users (show)

Fixed In Version: 3.10.0-1045.rt56.1005
Doc Type: No Doc Update
Doc Text:
Clone Of:
: 1942504 (view as bug list)
Environment:
Last Closed: 2019-08-06 12:35:28 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:2043 0 None None None 2019-08-06 12:36:10 UTC

Description Jiri Kastner 2018-05-02 13:59:01 UTC
Description of problem:
yum during update update kernel-rt-kvm package instead treating it like multiversion kernel-rt. 

Version-Release number of selected component (if applicable):
any

How reproducible:
always

Steps to Reproduce:
1. yum install kernel-rt{,-kvm}-old-version
2. yum install kernel-rt{,-kvm}-new-version
3. rpm -q kernel-rt{,-kvm}

Actual results:
rpm will list only one kernel-rt-kvm package but 2 kernel-rt packages

Expected results:
amount of kernel-rt-kvm packages correposnding to amount of installed kernel-rt packages

Additional info:

Comment 2 Luis Claudio R. Goncalves 2018-08-15 14:53:34 UTC
There is already a solution but, in order to have the elegant version in place, we need a change to yum default list of installonlypkg symbols/packages.

Moving this bug to RHEL 7.7.

Comment 7 Pei Zhang 2019-04-25 08:25:51 UTC
Hi Luis,

Installing by "rpm -ivh" works well, but "yum" doesn't. 

When using "# rpm -ivh $package", kernel-rt -kvm sub-packages are all installed and existed with both old and new versions. However when using "# yum install $package", there are still only one kernel-rt -kvm sub-packages, only the new version exists.

Steps:

== Using "# rpm" to install (As Comment 5), works as expected.
(1)
# cd kernel-rt-old/
# rpm -ivh kernel-rt-*

# cd kernel-rt-new/
# rpm -ivh kernel-rt-*

(2) Check versions installation, kernel-rt -kvm sub-packages are all installed and existed with both old and new versions. 
# rpm -qa | grep kernel-rt
kernel-rt-kvm-3.10.0-1041.rt56.1000.el7.x86_64
kernel-rt-devel-3.10.0-1041.rt56.1000.el7.x86_64
kernel-rt-3.10.0-1042.rt56.1001.el7.x86_64
kernel-rt-trace-devel-3.10.0-1042.rt56.1001.el7.x86_64
kernel-rt-trace-3.10.0-1041.rt56.1000.el7.x86_64
kernel-rt-3.10.0-1041.rt56.1000.el7.x86_64
kernel-rt-debug-kvm-3.10.0-1041.rt56.1000.el7.x86_64
kernel-rt-trace-devel-3.10.0-1041.rt56.1000.el7.x86_64
kernel-rt-debug-devel-3.10.0-1041.rt56.1000.el7.x86_64
kernel-rt-debug-3.10.0-1042.rt56.1001.el7.x86_64
kernel-rt-kvm-3.10.0-1042.rt56.1001.el7.x86_64
kernel-rt-trace-kvm-3.10.0-1042.rt56.1001.el7.x86_64
kernel-rt-devel-3.10.0-1042.rt56.1001.el7.x86_64
kernel-rt-debug-3.10.0-1041.rt56.1000.el7.x86_64
kernel-rt-trace-kvm-3.10.0-1041.rt56.1000.el7.x86_64
kernel-rt-trace-3.10.0-1042.rt56.1001.el7.x86_64
kernel-rt-debug-kvm-3.10.0-1042.rt56.1001.el7.x86_64
kernel-rt-debug-devel-3.10.0-1042.rt56.1001.el7.x86_64

# rpm -qa | grep kernel-rt | grep kvm
kernel-rt-kvm-3.10.0-1041.rt56.1000.el7.x86_64
kernel-rt-debug-kvm-3.10.0-1041.rt56.1000.el7.x86_64
kernel-rt-kvm-3.10.0-1042.rt56.1001.el7.x86_64
kernel-rt-trace-kvm-3.10.0-1042.rt56.1001.el7.x86_64
kernel-rt-trace-kvm-3.10.0-1041.rt56.1000.el7.x86_64
kernel-rt-debug-kvm-3.10.0-1042.rt56.1001.el7.x86_64


== Using "# yum" to install, still hit the issue.
(1)
# cd kernel-rt-old/
# yum install -y kernel-rt-*

# cd kernel-rt-new/
# yum install -y kernel-rt-*

(2) Check versions installation, there are only latest kernel-rt -kvm sub-packages exists.
# rpm -qa | grep kernel-rt
kernel-rt-debug-3.10.0-1041.rt56.1000.el7.x86_64
kernel-rt-3.10.0-1042.rt56.1001.el7.x86_64
kernel-rt-trace-devel-3.10.0-1042.rt56.1001.el7.x86_64
kernel-rt-3.10.0-1041.rt56.1000.el7.x86_64
kernel-rt-trace-kvm-3.10.0-1042.rt56.1001.el7.x86_64
kernel-rt-debug-devel-3.10.0-1042.rt56.1001.el7.x86_64
kernel-rt-trace-3.10.0-1041.rt56.1000.el7.x86_64
kernel-rt-debug-3.10.0-1042.rt56.1001.el7.x86_64
kernel-rt-kvm-3.10.0-1042.rt56.1001.el7.x86_64
kernel-rt-devel-3.10.0-1042.rt56.1001.el7.x86_64
kernel-rt-debug-kvm-3.10.0-1042.rt56.1001.el7.x86_64
kernel-rt-trace-3.10.0-1042.rt56.1001.el7.x86_64

# rpm -qa | grep kernel-rt | grep kvm
kernel-rt-trace-kvm-3.10.0-1042.rt56.1001.el7.x86_64
kernel-rt-kvm-3.10.0-1042.rt56.1001.el7.x86_64
kernel-rt-debug-kvm-3.10.0-1042.rt56.1001.el7.x86_64


According the bz report as Description, seems the issue still exists, so return to 'Modified' status. Please correct me if anything wrong. Thanks.


Best regards,
Pei

Comment 10 Pei Zhang 2019-05-14 08:58:23 UTC
Verified with kernel-rt-3.10.0-1048.rt56.1008.el7.x86_64:

Steps:
1. Install 2 kernel-rt versions by rpm.

2. Install 2 kernel-rt versions by yum.

After step1 and step2, both versions of kernel-rt -kvm sub-packages exist.

# rpm -qa | grep kernel-rt | grep kvm
kernel-rt-debug-kvm-3.10.0-1045.rt56.1005.el7.x86_64
kernel-rt-trace-kvm-3.10.0-1048.rt56.1008.el7.x86_64
kernel-rt-kvm-3.10.0-1048.rt56.1008.el7.x86_64
kernel-rt-trace-kvm-3.10.0-1045.rt56.1005.el7.x86_64
kernel-rt-kvm-3.10.0-1045.rt56.1005.el7.x86_64
kernel-rt-debug-kvm-3.10.0-1048.rt56.1008.el7.x86_64


So this bug has been fixed very well. Move to 'VERIFIED'.

Comment 12 errata-xmlrpc 2019-08-06 12:35:28 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:2043


Note You need to log in before you can comment on or make changes to this bug.